OpenTTD Source: SlStationFlow Class Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Static Public Attributes
SlStationFlow Class Reference
Inheritance diagram for SlStationFlow:

## Public Member Functions
void | Save (GoodsEntry *ge) const override
void | Load (GoodsEntry *ge) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlStationFlow, GoodsEntry >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
void | Save (void *object) const override
| Save the object to disk.
void | Load (void *object) const override
| Load the object from disk.
virtual void | LoadCheck (GoodsEntry *object) const
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames.
virtual void | FixPointers (GoodsEntry *object) const
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers.
Public Member Functions inherited from SaveLoadHandler
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk.

## Static Public Attributes
static const SaveLoad | description []
static const SaveLoadCompatTable | compat_description = _station_flow_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 278 of file station_sl.cpp.

## Member Function Documentation

## ◆ Load()

void SlStationFlow::Load | ( | GoodsEntry * | ge | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlStationFlow, GoodsEntry >.

Definition at line 317 of file station_sl.cpp.

## ◆ Save()

void SlStationFlow::Save | ( | GoodsEntry * | ge | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlStationFlow, GoodsEntry >.

Definition at line 288 of file station_sl.cpp.

## Field Documentation

## ◆ compat_description

const SaveLoadCompatTable SlStationFlow::compat_description = _station_flow_sl_compat
| inlinestatic

Definition at line 286 of file station_sl.cpp.

## ◆ description

const SaveLoad SlStationFlow::description[]
| inlinestatic

Initial value:
= {
SLE_VAR(FlowSaveLoad, source, SLE_UINT16),
SLE_VAR(FlowSaveLoad, via, SLE_UINT16),
SLE_VAR(FlowSaveLoad, share, SLE_UINT32),
SLE_CONDVAR(FlowSaveLoad, restricted, SLE_BOOL, SLV_187, SL_MAX_VERSION),
}
SLE_CONDVAR
#define SLE_CONDVAR(base, variable, type, from, to)
Storage of a variable in some savegame versions.
Definition saveload.h:883
SL_MAX_VERSION
@ SL_MAX_VERSION
Highest possible saveload version.
Definition saveload.h:416
SLV_187
@ SLV_187
187 25899 Linkgraph - restricted flows
Definition saveload.h:267
SLE_VAR
#define SLE_VAR(base, variable, type)
Storage of a variable in every version of a savegame.
Definition saveload.h:1017
FlowSaveLoad
Definition station_sl.cpp:175

Definition at line 280 of file station_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/station_sl.cpp